unit Makedata;

{ Program copyright (c) 1995 by Charles Calvert }
{ Project Name: LINKLST2 }

interface

const
  FileName = 'LinkExp.dta';

type
  PMyNode = ^TMyNode;
  TMyNode = record
    Name  : String;
    Flight: integer;
    Day   : String;
    Next  : PMyNode;  {Used to link each field}
  end;

procedure CreateData;

implementation

uses
  MathBox;

const
  Max = 100;

  Days: array[0..6] of String = ('Sunday', 'Monday', 'Tuesday',
                                 'Wednesday','Thursday',
                                 'Friday', 'Saturday');

procedure CreateData;
var
  F: Text;
  i: Integer;

begin
  Assign(F, 'data.txt');
  ReWrite(F);
  for i := 1 to Max do begin
    WriteLn(F, 'Sam' + Int2Str(i));
    WriteLn(F, i);
    WriteLn(F, Days[i Mod 7]);
  end;
  Close(F);
end;

end.


